#include <bits/stdc++.h>

using namespace std;
long long n,l,h[1005],res[1005];
int main(){
    cin >> n >> l;
    for(int i=1;i<=n;i++){
        cin >> h[i];
        if(h[i]-l>0 and i!=n)continue;
        if(i!=n){cout << i;break;}
        cout <<-1 << endl;
    }

return 0;
}